curl https://zeplo.ai/api/notifications/ \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"type": "message",
"title": "New message from John",
"message": "John Doe sent you a message",
"read": false,
"actionUrl": "/inbox/conversation/5",
"createdAt": "2026-01-15T14:00:00Z"
}
]
}
Notifications
GET List Notifications
Retrieve user notifications.
GET
/
api
/
notifications
/
curl https://zeplo.ai/api/notifications/ \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"type": "message",
"title": "New message from John",
"message": "John Doe sent you a message",
"read": false,
"actionUrl": "/inbox/conversation/5",
"createdAt": "2026-01-15T14:00:00Z"
}
]
}
List notifications
GET /api/notifications/
Retrieve notifications for the authenticated user.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl https://zeplo.ai/api/notifications/ \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"type": "message",
"title": "New message from John",
"message": "John Doe sent you a message",
"read": false,
"actionUrl": "/inbox/conversation/5",
"createdAt": "2026-01-15T14:00:00Z"
}
]
}
Get user notifications
GET /api/notifications/users/
Get unread count
GET /api/notifications/unread-count
{
"success": true,
"count": 5
}
Get notification templates
GET /api/notification-templates